Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service
Class ServiceAsyncReplyCompositeMessageSource

    java.lang.Object
      org.mule.source.StartableCompositeMessageSource
          org.mule.service.ServiceCompositeMessageSource
              org.mule.service.ServiceAsyncReplyCompositeMessageSource

All Implemented Interfaces:
  FlowConstructAware, Initialisable, Startable, Stoppable, RouterStatisticsRecorder, CompositeMessageSource, MessageSource

    public class ServiceAsyncReplyCompositeMessageSource

extends ServiceCompositeMessageSource

Extension of `StartableCompositeMessageSource` which adds message processors between the composite source and the target listener

Field Summary
`protected boolean` | `failOnTimeout`
`protected Long` | `timeout`

Fields inherited from class org.mule.service.ServiceCompositeMessageSource
`catchAllStrategy, endpoints, processors, statistics`

Fields inherited from class org.mule.source.StartableCompositeMessageSource
`flowConstruct, listener, log, sources, started, starting`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`ServiceAsyncReplyCompositeMessageSource()`

Method Summary
`protected void` | `createMessageProcessorChain()`
`void` | `expireAggregation(String groupId)`
`Long` | `getTimeout()`
`boolean` | `isFailOnTimeout()`
`void` | `setFailOnTimeout(boolean failOnTimeout)`
`void` | `setTimeout(Long timeout)`

Methods inherited from class org.mule.service.ServiceCompositeMessageSource
`addMessageProcessor, addSource, getCatchAllStrategy, getEndpoint, getEndpoints, getMessageProcessors, getRouterStatistics, initialise, removeSource, setCatchAllStrategy, setMessageProcessors, setMessageSources, setRouterStatistics, start, stop`

Methods inherited from class org.mule.source.StartableCompositeMessageSource
`setFlowConstruct, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timeout

    protected Long timeout

### failOnTimeout

    protected boolean failOnTimeout

Constructor Detail

### ServiceAsyncReplyCompositeMessageSource

    public ServiceAsyncReplyCompositeMessageSource()

Method Detail

### createMessageProcessorChain

    protected void createMessageProcessorChain()
                                        throws MuleException

  Overrides:
    `createMessageProcessorChain` in class `ServiceCompositeMessageSource`
  Throws:
    `MuleException`

### getTimeout

    public Long getTimeout()

### setTimeout

    public void setTimeout(Long timeout)

### isFailOnTimeout

    public boolean isFailOnTimeout()

### setFailOnTimeout

    public void setFailOnTimeout(boolean failOnTimeout)

### expireAggregation

    public void expireAggregation(String groupId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.